
#include "lib_dmx_in.h"

//#include <avr/io.h>
//#include <stdint.h>
//#include <avr/pgmspace.h> 
//#include <avr/interrupt.h>

#define F_CPU 16000000UL  // 1 MHz
//#define F_CPU 14.7456E6

#include <avr/wdt.h>
int main(void)
{
	cli();

	init_DMX_RX();
	init_pdm();

	DmxAddress= 0;

	/* Set MOSI and SCK output, all others input */
	DDRB = (1<<PB5) | (1<<PB7) | (1<<PB4);
	/* Enable SPI, Master, set clock rate fck/16 */
	SPCR = (1<<SPE)|(1<<MSTR)|(1<<SPI2X);
	sei();

	wdt_reset();
	wdt_enable(WDTO_120MS);				
	wdt_reset();


	for(;;)
	{	
		get_dips();						//get start address
	}
}
